Method: networks.suggestedAdUnit.batchApprove

Bulk approve SuggestedAdUnit objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/suggestedAdUnit:batchApprove

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. Resource names for the SuggestedAdUnit objects to approve. Format: networks/{networkCode}/suggestedAdUnits/{suggested_ad_unit_id}

Response body

Response message for suggestedAdUnit.batchApprove method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "createdAdUnits": [
    string
  ]
}
Fields
createdAdUnits[]

string

The resource names of the AdUnits that were created as part of the approval. The order of the ad units in the response is not guaranteed to be the same as the order of the suggestions in the request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.